# RPM specfile for gtkhtml1.1 module
# Generated Tue Apr  1 16:25:37 2003 GMT by Ximian build system
# from $Id: bb_do,v 1.218 2003/03/18 00:04:55 thunder Exp $

%define nam	gtkhtml1.1
%define ver	1.1.10
%define ximrev	3

Name:     	gtkhtml1.1
Version: 	1.1.10
Release:	0.ximian.3
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.3 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Source0:	gtkhtml-1.1.10.tar.gz
BuildRequires:	intltool
BuildRequires:	gal-devel > 0.20
BuildRequires:	gnome-print-devel > 0.29
BuildRequires:	gdk-pixbuf-devel >= 0.8
BuildRequires:	soup-devel >= 0.7
BuildRequires:	libghttp-devel >= 1.0
BuildRequires:	bonobo-devel >= 0.32
BuildRequires:	oaf-devel
BuildRequires:	GConf-devel
Summary:	GtkHTML is a HTML rendering/editing library.
Group:		System Environment/Libraries
Provides:	gtkhtml = %{PACKAGE_VERSION}
Provides:	ximian-gtkhtml1.1 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	gtkhtml < 1.1
Obsoletes:	gtkhtml-devel < 1.1
Conflicts:	gtkhtml < 1.1
Conflicts:	gtkhtml-devel < 1.1

%description
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%files
%defattr(-, root, root)
/usr/bin/*
/usr/share/gtkhtml-1.1
/usr/share/gnome/apps/Settings/Documents/*.desktop
/usr/share/control-center/Documents/*.desktop
/usr/share/gnome/ui/*
/usr/share/gnome/html/*
/usr/*/locale/*/LC_MESSAGES/*.mo
/usr/share/oaf/*.oaf
/usr/lib/bonobo/plugin/*.so


%package -n gtkhtml1.1-devel
Summary:	Development libraries, header files and utilities for GtkHTML
Group:		Development/Libraries
Requires:	libgtkhtml1.1-3 = %{PACKAGE_VERSION}
Requires:	gnome-print-devel
Provides:	gtkhtml-devel = %{version}-%{release}
Provides:	ximian-gtkhtml1.1-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n gtkhtml1.1-devel
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains the files necessary to develop applications with GtkHTML.

%files -n gtkhtml1.1-devel
%defattr(-, root, root)
/usr/lib/lib*.a
/usr/lib/lib*.so
/usr/lib/pkgconfig/*.pc
/usr/include/gtkhtml-1.1


%package -n libgtkhtml1.1-3
Summary:	GtkHTML is a HTML rendering/editing library.
Group:		System Environment/Libraries
Provides:	libgtkhtml1.1
Provides:	ximian-libgtkhtml1.1-3 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libgtkhtml1.1-3
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%files -n libgtkhtml1.1-3
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog INSTALL NEWS README TODO
/usr/lib/lib*.so.*


%post -n libgtkhtml1.1-3
ldconfig

%postun -n libgtkhtml1.1-3
ldconfig

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gtkhtml-1.1.10
    ;;
all)
%setup  -q -n gtkhtml-1.1.10
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --with-bonobo --without-pspell
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Apr 1 2003 Ximian, Inc.

- Version: 1.1.10-0.ximian.3
- Summary: New build.
- New automated build.

* Wed Mar 26 2003 Ximian, Inc.

- Version: 1.1.9-0.ximian.3
- Summary: New build.
- New automated build.

* Tue Feb 4 2003 Ximian, Inc.

- Version: 1.1.8-1.ximian.1
- Summary: New build.
- New automated build.

* Tue Feb 4 2003 Ximian, Inc.

- Version: 1.1.7-1.ximian.1
- Summary: New build.
- New automated build.

* Wed Jun 26 2002 Ximian, Inc.

- Version: 1.0.4-2.ximian.1
- Summary: New build.
- New automated build.

* Fri Apr 19 2002 Ximian, Inc.

- Version: 1.0.3-1.ximian.3
- Summary: New build.
- New automated build.

* Tue Mar 19 2002 Dan Mills

- Version: 1.0.2-ximian.1
- Summary: New version for Evolution 1.0.3
- This new version has various fixes.  It's needed for Evolution 1.0.3.

